1. Client REST
OPT Artline.ua
  • Client REST
    • Технічний health-check API
      GET
    • Дерево категорій каталогу
      GET
    • Пагінований список товарів каталогу
      GET
    • Повний список товарів без пагінації
      GET
    • Детальна картка товару
      GET
    • Довідник валют
      GET
    • Довідник складів
      GET
    • Список замовлень клієнта
      GET
    • Деталі замовлення
      GET
    • Створення замовлення
      POST
    • Створення замовлення (alias)
      POST
  • Schemas
    • RestUnauthorizedResponse
    • CatalogItemResponse
    • CatalogItem
    • CatalogPropertyValue
    • CatalogCategoriesResponse
    • CatalogCategory
    • CatalogListAllResponse
    • CatalogListAllItem
    • HealthOk
    • OrderCreateBusinessErrorResponse
    • CurrencyResponse
    • OrderItemResponse
    • OrderItem
    • OrderSummary
    • CatalogListResponse
    • CatalogListItem
    • StoreResponse
    • OrdersListResponse
    • OrderCreateRequestBody
    • RestNotFoundResponse
  1. Client REST

Створення замовлення (alias)

POST
/api/orders/store
Alias до /api/orders/create з тим самим request/response-контрактом.

Request

Authorization
Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
Alias to /api/orders/create
Bodyapplication/json

🟠401RestUnauthorized
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/api/orders/store' \
--header 'Content-Type: application/json' \
--data '{
    "paymentMethod": 1,
    "comment": "Термінова доставка",
    "delivery": "Самовивіз зі складу №1",
    "items": [
        {
            "id": "100",
            "amount": 2,
            "quantity": 2
        }
    ]
}'
Response Response Example
200 - Example 1
{
    "success": true,
    "data": {
        "id": 0,
        "date": "string",
        "statusId": 0,
        "status": "string",
        "statusPay": "string",
        "counterparty": {
            "id": "string",
            "name": "string"
        },
        "documentSum": 0,
        "currenciesId": "string",
        "delivery": "string",
        "paymentMethod": 0,
        "items": [
            {
                "id": "string",
                "name": "string",
                "price": 0,
                "quantity": 0,
                "sum": 0
            }
        ]
    }
}
Modified at 2026-06-18 17:25:40
Previous
Створення замовлення
Next
RestUnauthorizedResponse
Built with